package cz.fidentis.analyst.icp;

import javax.vecmath.Matrix4d;
import javax.vecmath.Quat4d;
import javax.vecmath.Vector3d;

public class IcpTransformation {

    private Quat4d rotation;
    private double scaleFactor;
    private Vector3d translation;
    private Matrix4d transformationMatrix;
    private double meanD;

    public IcpTransformation(Vector3d translation, Quat4d rotation, double scaleFactor,double meanD , Matrix4d transformationMatrix) {
        this.translation = translation;
        this.scaleFactor = scaleFactor;
        this.rotation = rotation;
        this.meanD = meanD;
        this.transformationMatrix = transformationMatrix;
    }

    public Quat4d getRotation() {
        return rotation;
    }

    public double getScaleFactor() {
        return scaleFactor;
    }

    public Vector3d getTranslation() {
        return translation;
    }

    public Matrix4d getTransformationMatrix() {
        return transformationMatrix;
    }

    public double getMeanD() {
        return meanD;
    }
}
